Workaround for "required" dependencies not being followed in APEXes.

Bug: 124439236
Test: atest CtsJdwpTestCases (on taimen and aosp_cf_x86_phone)

Change-Id: Ie66ae8a8a69fa59831f8ac8b7e44a33ecd33df51
(cherry picked from commit 0c15b823cefe295eb64db41b94a51d00700fa2f2)
diff --git a/build/apex/Android.bp b/build/apex/Android.bp
index 735755f..42e8a38 100644
--- a/build/apex/Android.bp
+++ b/build/apex/Android.bp
@@ -22,6 +22,12 @@
     "libnativeloader",
     "libopenjdkjvm",
     "libopenjdkjvmti",
+    // TODO(b/124439236): Clean up the following libraries once "required"
+    // dependencies work with APEX libraries.
+    "libdt_fd_forward",
+    "libdt_socket",
+    "libjdwp",
+    "libnpt",
 ]
 bionic_native_shared_libs = [
     "libc",